%define rel 5

Summary: Base condor database for wallaby
Name: condor-wallaby-base-db
Version: 1.4
Release: %{rel}%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/wallaby-base-db.git
Source0: %{name}-%{version}-%{rel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: wallaby-utils
BuildArch: noarch

%description
A default database to be loaded into wallaby that provides configuration
options for a condor pool

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_var}/lib/condor-wallaby-base-db
cp condor-base-db.snapshot %{buildroot}/%{_var}/lib/condor-wallaby-base-db

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc LICENSE
%{_var}/lib/condor-wallaby-base-db/condor-base-db.snapshot

%changelog
* Mon Sep 27 2010 willb <willb@redhat> - 1.4-5
- BZ 637200:  All SEC_(.*) parameters now require a restart.

* Mon Sep 20 2010 rrati <rrati@redhat> - 1.4-4
- Removed ConsoleSchedulerForJobServer feature
- Moved QUEUE_ALL_USERS_TRUSTED to the ConsoleScheduler feature

* Tue Aug 31 2010 rrati <rrati@redhat> - 1.4-3
- Fixed setting of CONDOR_HOST in HACentralManager feature

* Tue Aug 17 2010 rrati <rrati@redhat> - 1.4-2
- Fixed setting of DATA param in TriggerService
- DATA no longer has a default value

* Wed Aug 11 2010 rrati <rrati@redhat> - 1.4-1
- Created BaseJobExecuter feature
- Scheduler feature now has correct params for Local Universe
- Fixed SCHEDD_PREEMPTION_REQUIREMENTS value in SchedulerDedicatedPreemption

* Tue Jul 27 2010 rrati <rrati@redhat> - 1.3-2
- Fixed setting of parameters that require user input

* Tue Jul 27 2010 rrati <rrati@redhat> - 1.3-1
- Removed Credd feature and releated parameters/subsystems
- Added LOG related parameters for LowLatency and JobHooks
- Removed LIBEXEC and parameter deps on it

* Wed Jun 23 2010 rrati <rrati@redhat> - 1.2-1
- Separated QMF parameters into features starting with Console
- Added JobServer feature
- *.PLUGINS attributes require restart if changed
- Changed carod subsystem to ll_daemon
- Added ADDRESS_FILE params for/to all daemoncore daemons
- Re-org for Scheduler/QMF based features
- DEDICATEDSCHEDULER must now be set by the user.  No default value provided
- Tweak to the Dedicated Scheduler
- Added many more parameters

* Thu Jun 10 2010 rrati <rrati@redhat> - 1.1-0.7
- Added kbdd feature/subsystem and supporting params
- Removed old explicit subsystem entries
- Removed the QMF plugin configuration from the Collector feature and added
  a ConsoleCollector feature
- Added MASTER param and the Master feature now defines the MASTER executabl
- Added LL_BROKER params to the LowLatency feature
- All changes to hook or binary paths require a restart
- Changed location of base db snapshot installation

* Fri May 21 2010 rrati <rrati@redhat> - 1.1-0.6
- Changed value for COLLECTOR_NAME to "Wallaby Configured Pool"

* Fri May 21 2010 rrati <rrati@redhat> - 1.1-0.5
- Fixed setting of COLLECTOR_NAME.  The Master feature sets it to "", and
  the Collector feature will set it to $(FULL_HOSTNAME)

* Thu May 20 2010 rrati <rrati@redhat> - 1.1-0.4
- Tightened security a bit.  The Master Feature no longer gives the host
  AMINISTRATOR level access
- Removed the VM_BRIDGE_SCRIPT parameter

* Tue Mar 09 2010 rrati <rrati@redhat> - 1.1-0.3
- Added LL_DAEMON to LowLatency feature
- Added JobHooks feature and LowLatency depends upon it

* Thu Mar 04 2010 rrati <rrati@redhat> - 1.1-0.2
- Fixed revision history dates

* Thu Mar 04 2010 rrati <rrati@redhat> - 1.1-0.1
- Added feature NodeAccess, and all features affecting DAEMON_LIST depend
  upon it now
- Changed DynamicProvisioning -> DynamicSlots
- Added LIBVIRT_XML_SCRIPT param and added it to VMUniverse
- Set COLLECTOR_NAME = $(CONDOR_HOST)
- Removed ALLOW_WRITE_DAEMON, ALLOW_READ_STARTD, ALLOW_READ_COLLECTOR,
  ALLOW_READ_DAEMON, ALLOW_WRITE_COLLECTOR, ALLOW_WRITE_STARTD params
- FETCHWORKDELAY now requires a daemon restart when changed

* Wed Feb 24 2010 rrati <rrati@redhat> - 1.0-0.4
- Fixed location of StartdPlugin for ExecuteNode

* Tue Feb 23 2010 rrati <rrati@redhat> - 1.0-0.3
- Added UID_DOMAIN and FILESYSTEM_DOMAIN params & features that use them

* Fri Feb 19 2010 rrati <rrati@redhat> - 1.0-0.2
- Removed default values for parameters that must be set when used

* Wed Feb 11 2010 rrati <rrati@redhat> - 1.0-0.1
- Initial package
